BlitzReels
BlitzReelsDocumentation
API Reference
PATCH
/projects/{projectId}/reframes/{reframeId}/sources/{sourceAssetId}

Update one source across a Reframe composition.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string
reframeId*string
sourceAssetId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/projects/string/reframes/string/sources/string" \  -H "Content-Type: application/json" \  -d '{    "source_crop": {      "x": 0,      "y": 0,      "width": 0,      "height": 0    },    "source_offset_units": "string",    "ignored": true,    "replacement_asset_id": "string"  }'
{  "success": true,  "reframe_id": "string",  "project_id": "string",  "source_asset_id": "string",  "affected_timeline_item_ids": [    "string"  ]}